Skip to main content
`Ctrl`+`K`

# PetscSpaceTensorGetNumSubspaces

Get the number of spaces in the tensor product space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceTensorGetNumSubspaces(PetscSpace sp, PetscInt *numTensSpaces)

## Input Parameter

- sp - the function space object

## Output Parameter

- numTensSpaces - the number of spaces

## Note

The name NumSubspaces is misleading because it is actually getting the number of defining spaces of the tensor product space, not a number of Subspaces of it

## See Also

`PETSCSPACETENSOR`, `PetscSpace`, `PetscSpaceTensorSetNumSubspaces()`, `PetscSpaceSetDegree()`, `PetscSpaceSetNumVariables()`

## Level

intermediate

## Location

src/dm/dt/space/impls/tensor/spacetensor.c

## Implementations

PetscSpaceTensorGetNumSubspaces_Tensor() in src/dm/dt/space/impls/tensor/spacetensor.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages